This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1065802 - wodim damages last sectors of CD-R or CD-RW unless in raw mode
wodim damages last sectors of CD-R or CD-RW unless in raw mode
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cdrkit (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-16 20:35 EST by Pavel Roskin
Modified: 2015-06-29 11:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 11:15:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Roskin 2014-02-16 20:35:08 EST
Description of problem:

When recording a CD-R or CD-RW with wodim, error messages about CD errors appear in the kernel log.  The errors refer to the last 20 2048-byte sectors of the disk.  Comparing the disk with the original image with cmp detects errors at the end of the disk.

Using the -raw option fixes the problem.  Using -sao doesn't help.  cdrecord from cdrtools-3.01a22 works fine in the SAO mode (cdrecord defaults to SAO and wodim defaults to TAO).  DVDs are not affected.

Unlike bug 504246, wodim doesn't report any errors.

Most testing was done on the SATA drive identified by the kernel as
ata2.00: ATAPI: TSSTcorpCD/DVDW SH-S183L, SB03, max UDMA/33

I also tried a drive connected to USB and got the same error.  It's reported as
scsi 7:0:0:0: CD-ROM            LITE-ON  DVDRW SHW-160P6S PS0C PQ: 0 ANSI: 0

Version-Release number of selected component (if applicable):

wodim-1.1.11-22.fc20.x86_64

How reproducible:

Almost every time.  I saw it once that wodim in SAO mode reported errors while recording a CD-RW, but cmp reported no errors.  I can do all tests on the same CD-RW disk, thus excluding differences in the media.  A short image is enough, I was using a 6 Mb image.

Steps to Reproduce:
1. Create an ISO file
2. Record it with wodim
3. Check kernel messages with dmesg
4. Compare the image with the disk

Actual results:

Kernel errors reported both when recording and when running cmp.  cmp returns an error.

Expected results:

No kernel errors reported.  cmp succeeds.

Additional info:

That's a typical session.  2947 sectors are written, sector 2946 is damaged.

[root@mj x86_64-linux-cc]# wodim -v -tao blank=fast /home/proski/src/sparse.iso
TOC Type: 1 = CD-ROM
Device was not specified. Trying to find an appropriate drive...
Looking for a CD-R drive to store 5.76 MiB...
Detected CD-R drive: /dev/sr1
Using /dev/cdrom of unknown capabilities
scsidev: '/dev/cdrom'
devname: '/dev/cdrom'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.11
SCSI buffer size: 64512
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'TSSTcorp'
Identification : 'CD/DVDW SH-S183L'
Revision       : 'SB03'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x000A (CD-RW)
Profile: 0x0015 (DVD-R/DL sequential recording) 
Profile: 0x0016 (DVD-R/DL layer jump recording) 
Profile: 0x002B (DVD+R/DL) 
Profile: 0x001B (DVD+R) 
Profile: 0x001A (DVD+RW) 
Profile: 0x0014 (DVD-RW sequential recording) 
Profile: 0x0013 (DVD-RW restricted overwrite) 
Profile: 0x0012 (DVD-RAM) 
Profile: 0x0011 (DVD-R sequential recording) 
Profile: 0x0010 (DVD-ROM) 
Profile: 0x000A (CD-RW) (current)
Profile: 0x0009 (CD-R) 
Profile: 0x0008 (CD-ROM) 
Profile: 0x0002 (Removable disk) 
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1058816 = 1034 KB
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
FIFO size      : 4194304 = 4096 KB
Track 01: data     5 MB        
Total size:        6 MB (00:39.32) = 2949 sectors
Lout start:        6 MB (00:41/24) = 2949 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 6
  Reference speed: 2
  Is not unrestricted
  Is erasable
  ATIP start of lead in:  -11835 (97:24/15)
  ATIP start of lead out: 359849 (79:59/74)
  1T speed low:  0 (reserved val  0) 1T speed high:  4
  2T speed low:  0 (reserved val  5) 2T speed high:  0 (reserved val 12)
  power mult factor: 3 5
  recommended erase/write power: 3
  A1 values: 02 3A B0
  A2 values: 5C C6 26
Disk type:    Phase change
Manuf. index: 24
Manufacturer: SONY Corporation
wodim: Cannot get next writable address for 'invisible' track.
wodim: This means that we are checking recorded media.
wodim: This media cannot be written in streaming mode anymore.
wodim: If you like to write to 'preformatted' RW media, try to blank the media first.
Speed set to 706 KB/s
Starting to write CD/DVD at speed   4.0 in real TAO mode for single session.
Last chance to quit, starting real write in    0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
Performing OPC...
Blanking PMA, TOC, pregap
Blanking time:   48.831s
Performing OPC...
Starting new track at sector: 0
Track 01:    5 of    5 MB written (fifo 100%) [buf 100%]   4.2x.
Track 01: Total bytes read/written: 6035456/6035456 (2947 sectors).
Writing  time:   14.843s
Average write speed   2.8x.
Min drive buffer fill was 100%
Fixating...
Fixating time:   80.033s
BURN-Free was never needed.
wodim: fifo had 96 puts and 96 gets.
wodim: fifo was 0 times empty and 22 times full, min fill was 85%.
[root@mj x86_64-linux-cc]# dmesg -c
[36203.617940] sr 1:0:0:0: [sr0] Unhandled sense code
[36203.617948] sr 1:0:0:0: [sr0]  
[36203.617951] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[36203.617954] sr 1:0:0:0: [sr0]  
[36203.617957] Sense Key : Hardware Error [current] 
[36203.617961] sr 1:0:0:0: [sr0]  
[36203.617965] Add. Sense: Timeout on logical unit
[36203.617969] sr 1:0:0:0: [sr0] CDB: 
[36203.617971] Read(10): 28 00 00 00 0b 82 00 00 02 00
[36203.617982] end_request: I/O error, dev sr0, sector 11784
[36203.617986] Buffer I/O error on device sr0, logical block 2946
[36203.617990] Buffer I/O error on device sr0, logical block 2947
[36210.194030] sr 1:0:0:0: [sr0] Unhandled sense code
[36210.194037] sr 1:0:0:0: [sr0]  
[36210.194040] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
[36210.194044] sr 1:0:0:0: [sr0]  
[36210.194046] Sense Key : Hardware Error [current] 
[36210.194051] sr 1:0:0:0: [sr0]  
[36210.194055] Add. Sense: Timeout on logical unit
[36210.194058] sr 1:0:0:0: [sr0] CDB: 
[36210.194060] Read(10): 28 00 00 00 0b 82 00 00 02 00
[36210.194071] end_request: I/O error, dev sr0, sector 11784
[36210.194075] Buffer I/O error on device sr0, logical block 2946
[36210.194078] Buffer I/O error on device sr0, logical block 2947
[root@mj x86_64-linux-cc]# cmp /dev/sr0 /home/proski/src/sparse.iso
cmp: /dev/sr0: Input/output error
Comment 1 Fedora End Of Life 2015-05-29 06:56:48 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 11:15:08 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.